## cmucl 2.4.8

=== Makefile ===
all:
	echo building
	(cd x86/lisp &&  make depend &&  make )
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core
	x86/lisp/lisp -core lisp.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )
	(cd src/docs/ && make all)
	echo done building

no-docs:
	echo building
	(cd x86/lisp && touch Depends ;  make depend &&  make )
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core
	x86/lisp/lisp -core lisp.core -load do-clx-clm-hem.lisp
	(cd x86/motif/server && make )

make-new:
	lisp -batch -load do-build
	echo -e '(in-package :common-lisp-user)(load "finish")\n18a+ release x86-linux 2.4.7 6 November 1998 cvs\n' | ./x86/lisp/lisp -core x86/lisp/kernel.core

install:
	echo installing
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clx/usr/doc/cmucl-clx/ 
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-hemlock/usr/doc/cmucl-hemlock/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl-defsystem/
	install -g root -o root -m 0644 debian/changelog \
	$(DESTDIR)cmucl-clm/usr/doc/cmucl-clm/
	install -g root -o root -m 0644 x86/contrib/defsystem/defsystem.x86f \
	$(DESTDIR)cmucl-defsystem/usr/lib/cmucl/subsystems/defsystem-library.x86f
	install -g root -o root -m 0644 own-work/copyright-defsystem \
	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl-defsystem/copyright
#	install -g root -o root -m 0644 src/contrib/defsystem/defsystem.ps \
#	$(DESTDIR)cmucl-defsystem/usr/doc/cmucl/defsystem/
	install -g root -o root -m 0644 own-work/copyright-clx \
	$(DESTDIR)cmucl-clx/usr/doc/cmucl-clx/copyright
	install -g root -o root -m 0644 own-work/copyright-clm \
	$(DESTDIR)cmucl-clm/usr/doc/cmucl-clm/copyright
	install -g root -o root -m 0644 own-work/copyright-hemlock \
	$(DESTDIR)cmucl-hemlock/usr/doc/cmucl-hemlock/copyright
#	install -g root -o root -m 0644 src/docs/cmu-user/cmu-user \
#	$(DESTDIR)/usr/doc/cmucl/
	install -g root -o root -m 0644 src/docs/interface/internals.dvi \
	src/docs/interface/internals.ps src/docs/interface/toolkit.dvi \
	src/docs/interface/toolkit.ps own-work/clm/
	install -g root -o root -m 0644 lisp.core $(DESTDIR)tmp/usr/lib/cmucl
	install -g root -o root -m 0644 x86/lisp/kernel.core $(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0755 x86/lisp/lisp $(DESTDIR)tmp/usr/bin/
	install -g root -o root -m 0644 own-work/config.lisp \
	$(DESTDIR)tmp/usr/lib/cmucl/
	install -g root -o root -m 0755 own-work/cmuclconfig $(DESTDIR)tmp/usr/sbin/
	install -g root -o root -m 0644 x86/lisp/lisp.nm x86/lisp/lisp.map \
	$(DESTDIR)tmp/usr/doc/cmucl/bin/
	install -g root -o root -m 0644 x86/clx/clx-library.x86f \
	$(DESTDIR)cmucl-clx/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	 x86/hemlock/hemlock-library.x86f \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0644 \
	x86/interface/clm-library.x86f  \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/subsystems/
	install -g root -o root -m 0755 x86/motif/server/motifd \
	$(DESTDIR)cmucl-clm/usr/lib/cmucl/
	install -g root -o root -m 0644 \
	own-work/hemlock11.cursor own-work/hemlock11.mask  \
	$(DESTDIR)cmucl-hemlock/usr/lib/cmucl/
	install -g root -o root -m 0644 \
	own-work/site-init.lisp  \
	$(DESTDIR)tmp/var/lib/cmucl/
	ln -s /var/lib/cmucl/site-init.lisp $(DESTDIR)tmp/usr/lib/cmucl/
	echo done installing

clean:
	find x86* -name "*.x86f" -or -name "*.lbytef" -or -name "*.assem" -or -name "*.core" \
	| xargs rm ; true
	rm lisp.core ; true
	(cd src/docs/ && make clean )
	(cd x86/lisp && make clean)
	(cd x86/motif/server && make clean )
	echo cmucl is clean!

proper:
	find x86* -name "*.x86f" -or -name "*.lbytef" -or -name "*.assem" -or -name "*.core" \
	| xargs rm ; true
	rm lisp.core
