=== debian/changelog ===
cmucl (2.4.8) frozen unstable; urgency=low

  * Recompiled for new libc.
  * Fixed clm buglet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Dec 1998 12:02:28 +0100

cmucl (2.4.7) frozen; urgency=low

  * Fixed a PCL bug
  * Fixed a critical errorchecking bug!

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 23 Oct 1998 12:13:00 +0200

cmucl (2.4.6) unstable; urgency=low

  * 
  * added high-security option.
  * now dh-make based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:19:12 +0200

cmucl (2.4.5) unstable; urgency=low

  * fixed coerce
  * Completed glibc2 support
  * Hemlock now should work in tty-mode
  * Format ~t fix
  * psetq now returns nil
  * added more error-checking
  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  9 Jun 1998 09:42:31 +0200

cmucl (2.4.4) unstable; urgency=low

  * new upstream version. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Jun 1998 15:03:17 +0200

cmucl (2.4.3) unstable; urgency=low

  * gray-stream support 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 22 May 1998 20:54:12 +0200

cmucl (2.4.2) unstable; urgency=low

  * removed wrong menu.ex file.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  2 May 1998 13:45:30 +0200

cmucl (2.4.1) unstable; urgency=low

  * -r
  * --help
  * 
  * deleted the html manuals because the image generation doesn't work.
  * fixed the hemlock problem. It turned out hemlock doesn't work with :bootstrap.
  * fixed the *features* after loading subsystems.
  * fixed the config.lisp script.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 22 Apr 1998 17:48:22 +0200

cmucl (2.4.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  4 Apr 1998 22:22:24 +0200

Local variables:
mode: debian-changelog
End:
