=== debian/control ===
Source: cmucl
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 2.3.0.1

Package: cmucl
Architecture: i386
Provides: lisp-compiler
Depends: ${shlibs:Depends}
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.

Package: cmucl-clx
Architecture: i386
Depends: cmucl (>= 2.4.3)
Description: The CMUCL CLX library. An xlib like library for X.
 This package contains the clx library compiled for CMUCL. If you
 want you can use cmuclconfig to configure this library in a 
 custom lisp image.

Package: cmucl-hemlock
Architecture: i386
Depends: cmucl (>= 2.4.3) ,cmucl-clx
Description: Hemlock. An emacs clone for CMUCL.
 This package contains Hemlock, an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".

Package: cmucl-clm
Architecture: i386
Depends: ${shlibs:Depends}, cmucl (>= 2.4.3) 
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstiff.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-defsystem
Section: non-free/devel
Architecture: i386
Depends: cmucl (>= 2.4.3)
Description: The defsystem pachage.
 Non-free for the moment.
 .
 It provides a "make" type system for Lisp.
