=== debian/changelog ===
cmucl (2.4.19) frozen unstable; urgency=high

  * Fixed critical exp error. Now transcendental functions work again.
    Closes: #56876.
  * Abort on errors during recompile.
  * Remove old init.d file. Closes: #56716

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 26 Jan 2000 07:52:11 +0100

cmucl (2.4.18) frozen unstable; urgency=low

  * Improved hash tables.
  * Tries to run on 2.0.xx. Closes: #53304.
  * And with fall-back MAP_NORESERVE to avoid setting a global
    flag. Closes: #55093.
  * Now with lazy memory allocation. Closes: #33747.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Nov 1999 18:15:35 +0100

cmucl (2.4.17) unstable; urgency=low

  * Rebuild for new lesstif version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Oct 1999 23:40:10 +0200

cmucl (2.4.16) unstable; urgency=low

  * Moved to FHS.
  * added documentation about the differences with J13
    (closes: #42422).
  * moved to a new memorymap that gives us a bit more space: 1.75 GB.
  * added hemlock example init file
  * reviewed documentation
  * dtc and me wrote a direct syscall layer to the kernel. This 
    improves the mp-ness of lisp and is generaly faster.
  * upstream we added 64-bit foreign integers. llseek here we
    come...
  * moved defsystem to main. The new maintainer gave me
    permission to edit the copyright notice. A new release
    will have an even cleaner copyright, but isn't expected 
    soon.
  * fixed a cmuclconfig buglet, reported by william@tansao.live.com.au
  * fixed SA_SIGINFO warning message
  * now use gpg for signing...
  * Fixed as bug. Closes: #46675
  * added a init.d file to do the 2.2.x kernel overcommit stuff.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  7 Oct 1999 06:07:51 +0200

cmucl (2.4.15) unstable; urgency=low

  * removed references to non-existing info docs.
  * New upload due to gpg problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Jul 1999 02:56:42 +0200

cmucl (2.4.14) frozen unstable; urgency=low

  * Now small also works on a {34}86
  * Added dpkg-bug workaround, bug #38822
  * Fixed config.sys bogus CMUCLLIB statement.
  * Fixed a string-stream buglet.
  * Added (partial) direct syscall support.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 May 1999 21:09:40 +0200

cmucl (2.4.13) frozen unstable; urgency=low

  * Made an error, will try to reupload
  * The error was good: I found an error in config.lisp. 
    One of the brown paper bag type :-(.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 10 May 1999 20:06:47 +0200

cmucl (2.4.12) frozen unstable; urgency=low

  * Nothing yet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  5 May 1999 23:13:46 +0200

cmucl (2.4.11) frozen unstable; urgency=low

  * Fixed the dependencies :-(

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  4 May 1999 19:49:25 +0200

cmucl (2.4.10) frozen unstable; urgency=low

  * Splitted core in small/safe.
  * Fixed bug #34554: setfpucw reference removed.
  * Fixed misspellings
  * Fixed bug #33262: added depends of cmucl-clx on xfree86-common

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  1 Mar 1999 19:37:43 +0100

cmucl (2.4.9) frozen unstable; urgency=low

  * Fixed the defsystem copyright notice. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 21 Dec 1998 09:00:18 +0100
