=== debian/control ===
Source: cmucl
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.0.0.0

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}, cmucl-small | cmucl-safe | cmucl-normal | lisp-core
Provides: lisp-compiler
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.

Package: cmucl-safe
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with safe options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface. 
 .
 Having the safe options means that this image will do typechecking
 on all operations it can. It is designed to be very robust and is
 the suggested environment for beginners.
 .
 Note that this system is a lot slower than the fast core, and quite
 big.

Package: cmucl-small
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with small options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 Having the small options means that this image will do less
 typechecking, like the fast core. Note that this doesn't
 mean it will crash at random, it just means that it only
 does the checks it _has_ to do, and that the error messages
 sometimes are not so clear.
 .
 Also to reduce the memory use it will bytecompile some
 less-often used parts. The value of this in the late 1990's
 with cheap memory is debatable.
 .
 Beginners should use the safe core.

Package: cmucl-normal
Architecture: i386
Depends: cmucl
Provides: lisp-core
Conflicts: cmucl (<= 2.4.9)
Description: A lisp core that is compiled with the normal options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 This core is a vanilla lisp core, having nor the small, nor the 
 safe attributes. It is pretty close to the FreeBSD 18b release.
 .
 Beginners should use the safe core.

Package: cmucl-clx
Architecture: i386
Depends: cmucl (>= 2.4.10), xfree86-common
Description: The CMUCL CLX library. An xlib like library for X.
 This package contains the clx library compiled for CMUCL. If you
 want you can use cmuclconfig to configure this library in a 
 custom lisp image.

Package: cmucl-hemlock
Architecture: i386
Depends: cmucl (>= 2.4.10) ,cmucl-clx
Description: Hemlock. An emacs clone for CMUCL.
 This package contains Hemlock, an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".

Package: cmucl-clm
Architecture: i386
Depends: ${shlibs:Depends}, cmucl (>= 2.4.10) 
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-defsystem
Architecture: i386
Depends: cmucl (>= 2.4.10)
Description: The defsystem package.
 It provides a "make" type system for Lisp.
