=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,6 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installinit
 	dh_installcron
 	dh_installmanpages -pcmucl
 #	dh_undocumented
@@ -56,7 +55,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb
