## cmucl 3.0.9

=== src/docs/Makefile ===
all:
	(cd cmu-user && latex cmu-user && latex cmu-user && latex cmu-user ;  \
	dvips -o cmu-user.ps cmu-user.dvi ;\
	rm cmu-user/images.* cmu-user/WARNINGS ; true ) 
	(cd interface && latex internals && latex internals && \
	latex internals && latex toolkit && latex toolkit && latex toolkit \
	&& dvips -o internals.ps internals.dvi \
	&& dvips -o toolkit.ps toolkit.dvi ; true )
	 
clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps" \
	| xargs rm ; true 
	rm TEST2.TMP DBM.tst.db ; true
