=== x86/lisp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/pvaneynd/cmucl/cvs2.cons.org/src/lisp/GNUmakefile,v 1.13 1997/06/07 15:25:37 pw Exp $
+# $Header: /home/CVS-cmucl/src/lisp/GNUmakefile,v 1.13 1997/06/07 15:25:37 pw Exp $
 
 all: lisp.nm
 
@@ -25,7 +25,7 @@
 
 lisp.nm: lisp
 	echo 'Map file for lisp version ' `cat version` > ,lisp.nm
-	$(NM) lisp | grep -v " F \| U " >> ,lisp.nm
+	$(NM) lisp | grep " t \| T \| D \| B " | grep -v "gcc_compiled\|Letext" >> ,lisp.nm
 	mv ,lisp.nm lisp.nm
 
 lisp: version.c ${OBJS} version
