=== debian/changelog ===
cmucl (3.0.9) frozen unstable; urgency=low

  * bytecompiling is a word. Closes: #124509
  * Demos now work. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 30 Dec 2001 14:29:07 +0100

cmucl (3.0.8) frozen unstable; urgency=high

  * Fixed location of library. Closes: #123451
  * Fixed dependencies. Closes: #123458.
  * Updates *features* to pre-18d standard but without adding :cmu18d. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Dec 2001 07:09:21 +0100

cmucl (3.0.7) frozen unstable; urgency=high

  * Upstream update Closes: #122135
  * Reupload due to failure of .uk mirror, so still Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  9 Dec 2001 22:04:51 +0100

cmucl (3.0.6) frozen unstable; urgency=high

  * Now cmuclconfig also handles normal cores.
  * cmucl-clm should work again...  Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 21 Nov 2001 23:51:11 +0100

cmucl (3.0.5) frozen unstable; urgency=low

  * cmucl-source now depends on common-lisp-controller.
    Closes: #117259
  * Several upstream fixes.
  * Fixed Motif interface.
    Closes: #116917, #110598, #117934, #119469
  * Now includes the include directory.
    Closes: #119419

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 16 Nov 2001 23:32:26 +0100

cmucl (3.0.4) frozen unstable; urgency=low

  * Now 'ed' works again.
    Closes: #104120

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Aug 2001 15:48:46 +0200

cmucl (3.0.3) frozen unstable; urgency=low

  * Ed works. Fixes: #104120.
  * Added conclict against old package. Fixes: #104246
  * CLX fix. Bugreport from Iban HATCHONDO <hatchond@yahoo.fr>.
  * Disabled lazy mode. It fails randomly on 2.2 and always on 2.4.
    Further work is needed, but at the moment I have no time.
    Sort-of Fixes: #107473
  * Added more conflicts. Should: Fixes: #105561

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Aug 2001 11:34:46 +0200

cmucl (3.0.2) frozen unstable; urgency=low

  * Forgot to upgrade the version number!
  * Remove-defsystem now works.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  7 Jul 2001 15:07:35 +0200

cmucl (3.0.1) frozen unstable; urgency=low

  * Fixed *batch-mode* bug
  * Rebuild for dpkg-dev bug. Fixes: #96609,#97927,#98733,#100526,#96611,#99092,#86365,#97749,#76867.
  * Removed html documention: too painfull to build.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 12:08:32 +0200

cmucl (3.0.0) frozen unstable; urgency=low

  * General cleanup and integration with common-lisp-controller.
  * Pre-depends on a newer c-l-c. Fixes: #96609,#97927,#98733,#100526.
  * Now lazy by default. Fixes: #96611,#99092.
  * Still fixes: #76867.
  * Should contain less junk in site-init.lisp. Fixes: #86365.
  * 18c in *features*. Fixes: #97749.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Jun 2001 02:19:01 +0200

cmucl (2.5.2) frozen unstable; urgency=low

  * Hemlock now finally works.
  * Fixed herald. Fixes: #76867.
  * Still fixes: #71776.
  * Now small is called small in cmucl-script.sh (Fufie on #Lisp)
  * Fixed defsystem interaction 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 May 2001 22:05:38 +0200

cmucl (2.5.1) frozen unstable; urgency=high

  * Updated defsystem.
  * Numerous c-l-c bugfixes
  * Reversed broken patch. Fixes: #87075

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 22 Feb 2001 22:26:32 +0100

cmucl (2.5.0) unstable; urgency=high

  * Using common-lisp-controller
  * Updated to 18c platform.
  * Bugfix for non-keyword keyword arguments..
  * Locally is now a special form and should work properly.
  * Added documentation for building.
  * Fixed graphic character def.
  * Fixed the lazy option, the FreeBSD malloc patches broke it :-(.
  * Fixed the dependency problem by just giving up :-( Fixes: #71776.
  * The cmucl-source package should offer source level
    debugging. Fixes: #71100.
  * Removed cmu17 from *features*. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 30 Jan 2001 21:30:54 +0100

cmucl (2.4.22) unstable; urgency=high

  * subseq and compiler-warning fixes
  * Fixed dependencies
  * Fixed a lexical closure code generation bug
  * Updated map implementation 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  1 Oct 2000 08:33:06 +0200

cmucl (2.4.21) unstable; urgency=high

  * fixed build-depends stuff Closes: #70327, #70234
  * cmuclconfig now uses lazy. Closes: #66294
  * Make improvements. Closes: #67220
  * Updated base version, so should Closes: #67221
  * Seems fixed: Closes: #37318
  * made cmucl-clm depend on cmucl-clx. Closes: #69841
  * Some clos and stream enhancements
  * added -rdynamic flag
  * cmucl: fixed fp < operator: Closes: #71099
  * Skipped "official" gray-stream patch as it doesn't work
    for me :-(. Tired of trying to find out why..
  * time-related fixes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 10 Sep 2000 12:41:08 +0200

cmucl (2.4.20) unstable; urgency=high

  * Added the gray strean package
  * double escape character fix
  * fix for rationalize
  * #\ fix
  * cmuclconfig now can be used by non-root users to 
    generate custom lisp images.
  * Documentation generating checked. Closes: #58907.
  * User manual now works again. Closes: #59205.
  * Better manual page: Closes: #61136.
  * Fixed loop problem. Reported by Lyle Borg-Graham.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  5 Feb 2000 11:38:48 +0100
