=== debian/control ===
Source: cmucl
Section: devel
Build-Depends: debhelper, lesstif-dev, tetex-extra, cmucl (>= 3.0.7), latex2html
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.6.0

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}
Suggests: cmucl-small, cmucl-safe, cmucl-normal, ilisp
Pre-Depends: common-lisp-controller (>= 2.0)
Conflicts: cmucl-small (<= 3.0.7),cmucl-safe (<= 3.0.7),cmucl-normal (<= 3.0.7), cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
Provides: lisp-compiler
Description: The CMUCL lisp compiler and development system.
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger. It also contains cmuclconfig to configure
 in additional libraries.
 .
 NOTE: you also need to select one of the cores that 
 this package suggests!

Package: cmucl-safe
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with safe options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface. 
 .
 Having the safe options means that this image will do typechecking
 on all operations it can. It is designed to be very robust and is
 the suggested environment for beginners.
 .
 Note that this system is a lot slower than the fast core, and quite
 big.

Package: cmucl-small
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with small options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 Having the small options means that this image will do less
 typechecking, like the fast core. Note that this doesn't
 mean it will crash at random, it just means that it only
 does the checks it _has_ to do, and that the error messages
 sometimes are not so clear.
 .
 Also to reduce the memory use it will bytecompile some
 less-often used parts. The value of this in the late 1990's
 with cheap memory is debatable.
 .
 Beginners should use the safe core.

Package: cmucl-normal
Architecture: i386
Depends: cmucl (>= 3.0.8)
Provides: lisp-core
Conflicts: cmucl (<= 3.0.7)
Description: A lisp core that is compiled with the normal options.
 This is a lisp core that is loaded into memory by the
 small "lisp" C loader. It contains the compiler and the basic
 user-interface.
 .
 This core is a vanilla lisp core, having nor the small, nor the 
 safe attributes. It is pretty close to the FreeBSD 18b release.
 .
 Beginners should use the safe core.

Package: cmucl-clm
Depends: cmucl (>= 3.0.8)
Architecture: i386
Conflicts: cmucl (<= 3.0.7)
Depends: ${shlibs:Depends}, cmucl (>= 3.0.8) , cmucl-source
Description: The Motif interface for CMUCL.
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is a X based replacement for the tty based
 debugger and inspector.

Package: cmucl-source
Architecture: all
Depends: common-lisp-controller
Conflicts: cmucl (<= 3.0.7), cmucl-defsystem, cmucl-clx, cmucl-hemlock, cmucl-graystream
Replaces: cmucl-defsystem, cmucl-clx, cmucl-hemlock, cmucl-graystream
Description: The CMUCL lisp sources
 These are the CMUCL sources, provided so that the
 debugger can show useful source information at appropriate
 times.
 .
 This version includes common-lisp-controller compatible
 replacements for defsystem, graystream, clx and hemlock.
 .
 defsystem provides a "make" type system for Lisp. This is
 a patched version from clocc.
 .
 Gray streams are the usual Lisp streams, but re-implemented
 as a Object hierarchy. Users can subclass existing classes and 
 adapt them for their own needs.
 .
 cmucl-clx is the clx library adapted for CMUCL. clx is an
 interface to X11, just like xlib.
 .
 Hemlock is an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".
 .
 Note that to recompile CMUCL you need a working CMUCL system :-(
