## cmucl 19a-release

=== src/docs/Makefile ===
all:
	(cd cmu-user && make cmu-user.ps ; make cmu-user.html ; make cmu-user.info ; make cmu-user.pdf ) 
	(cd internals && make design.pdf)
	(cd interface && latex internals && latex internals && \
	latex internals && latex toolkit && latex toolkit && latex toolkit \
	&& dvips -o internals.ps internals.dvi \
	&& dvips -o toolkit.ps toolkit.dvi ; true )

clean:
	find cmu-user interface  \
	-name "*.cb" -or -name ".idx" -or -name "*.aux" -or \
	-name "*.log" -or -name "*.tdx" -or -name "*.vdx" -or \
	-name "*.fdx" -or -name  "*.cdx" -or -name "*.dvi" -or \
	-name "*.toc"  -or -name "*.idx"  -or -name "*.ps"  -or \
	-name "*.html"  -or -name "*.??nd"  -or -name "*.gif" \
	 -or -name "*.htoc" -or -name "*.pdf" -or -name "*.?nd" \
	  -or -name "*.ilg" -or -name "*.out" -or -name "*.tmp" \
	   -or -name "*.haux" -or -name "*.info" \
	   -or -name "*.pdf" -or -name "*.info-*" \
	| xargs rm 2> /dev/null > /dev/null ||  true 
	rm internals/design/next_g.png internals/design/crossref.png \
	   internals/design/prev.png internals/design/up_g.png \
	   internals/design/up.png internals/design/prev_g.png \
	   internals/design/contents.png internals/design/next.png \
	   internals/design.dvi internals/design/WARNINGS \
	   internals/design/design.html internals/design/node*.html \
	   internals/design/images.* internals/design/node*.html \
	   internals/design/*.pl  internals/design/*.css \
	   internals/design/index.html internals/design/*.log \
	   internals/design/*.aux internals/design/*.out \
	   internals/design/*.toc internals/design.pdf \
	   2> /dev/null > /dev/null ; true
	rmdir internals/design 2> /dev/null > /dev/null ; true
